// 音再生用のライブラリをロード
import ddf.minim.signals.*;
import ddf.minim.*;

// 音再生用
Minim minim;
AudioOutput out;

// 現在の音程を格納する変数を定義
// 1回目は0とするために初期値は-1とする
int currentToneID = -1;

float getFrequency( int naturalToneID )
{


}

void setup() {
  // ウインドウサイズは適当
  // 現在の音程を表示するプログラムに変更しても良いですよ
  size(150, 150);
  
  // 音再生のための準備  
  minim = new Minim( this );
  out = minim.getLineOut( Minim.STEREO );
}

void draw() {
}

void keyPressed() {
  if ( keyCode == UP ) {
    currentToneID ++;
    out.clearSignals();
    SineWave sine = new SineWave( getFrequency( currentToneID ), 0.5, out.sampleRate() );
    out.addSignal( sine );
  } else if ( keyCode == DOWN ) {
    currentToneID --; 
    if( currentToneID < 0 ){
      currentToneID = 0;
    }   
    out.clearSignals();
    SineWave sine = new SineWave( getFrequency( currentToneID ), 0.5, out.sampleRate() );
    out.addSignal( sine );
  }
}